Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class ModuleDependency

- org.gradle.plugins.ide.idea.model.ModuleDependency

- All Implemented Interfaces and Traits:
    Dependency

      class ModuleDependency
      extends Object

  Represents an orderEntry of type module in the iml XML.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `exported`
    `String` | `name` The name of the module the module depends on.
    `String` | `scope` The scope for this dependency.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ModuleDependency (def name, def scope)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addToNode(groovy.util.Node parentNode)`
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean exported

    - #### String name

      The name of the module the module depends on. Must not be null.

    - #### String scope

      The scope for this dependency. If null the scope attribute is not added.

  - ### Constructor Detail

    - #### ModuleDependency(def name, def scope)

  - ### Method Detail

    - #### void addToNode(groovy.util.Node parentNode)

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### String toString()